#ifndef __GNOME_MESSAGE_DEFS__
#define __GNOME_MESSAGE_DEFS__

#include "../config.h"
#include <gtk/gtk.h>

#define MAX_STRING_LENGTH 1024
#define INITIAL_PIPE_BUFFER_LENGTH 1024

typedef struct {
	GString* message;
	GArray* value;
	GPtrArray* label;
	GPtrArray* number;
	GString* filename;
	gboolean print;
	GString* default_label;
	gint clicked_button;
	GtkWindowPosition win_position;
	GString *geometry;
	gint timeout;
} OPTIONS;

#ifdef ENABLE_NLS
#	include <locale.h>
#	include <libintl.h>
#	define _(String) gettext (String)
#	ifdef gettext_noop
#		define N_(String) gettext_noop(String)
#	else
#		define N_(String) (String)
#	endif
#else
/* install dummy handlers if gettext is disabled */
#	define textdomain(String) (String)
#	define gettext(String) (String)
#	define dgettext(Domain,Message) (Message)
#	define dcgettext(Domain,Message,Type) (Message)
#	define bindtextdomain(Domain,Directory) (Domain)
#	define _(String) (String)
#	define N_(String) (String)
#endif


#endif
